Bug 1824918 (CVE-2020-11565) - CVE-2020-11565 kernel: out-of-bounds write in mpol_parse_str function in mm/mempolicy.c
Summary: CVE-2020-11565 kernel: out-of-bounds write in mpol_parse_str function in mm/m...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-11565
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1824919 1834434 1834435 1834436 1834438 1834439
Blocks: 1824929
TreeView+ depends on / blocked
 
Reported: 2020-04-16 16:40 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-16 20:15 UTC (History)
46 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds write flaw was found in the Linux kernel. An empty nodelist in mempolicy.c is mishandled durig mount option parsing leading to a stack-based out-of-bounds write. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2020-07-07 19:28:15 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2854 0 None None None 2020-07-07 13:19:02 UTC
Red Hat Product Errata RHSA-2020:4060 0 None None None 2020-09-29 20:54:07 UTC
Red Hat Product Errata RHSA-2020:4062 0 None None None 2020-09-29 18:59:52 UTC
Red Hat Product Errata RHSA-2020:4431 0 None None None 2020-11-04 00:50:54 UTC
Red Hat Product Errata RHSA-2020:4609 0 None None None 2020-11-04 02:23:21 UTC

Description Guilherme de Almeida Suckevicz 2020-04-16 16:40:22 UTC
An issue was discovered in the Linux kernel through 5.6.2. mpol_parse_str in
mm/mempolicy.c has a stack-based out-of-bounds write because an empty nodelist
is mishandled during mount option parsing.

Reference and upstream commit:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=aa9f7d5172fac9bf1f09e678c35e287a40a7b7dd

Comment 1 Guilherme de Almeida Suckevicz 2020-04-16 16:42:09 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1824919]

Comment 2 Justin M. Forbes 2020-04-16 18:35:53 UTC
This was fixed for Fedora with the 5.5.16 stable kernel updates.

Comment 5 Alex 2020-05-11 17:41:41 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 7 errata-xmlrpc 2020-07-07 13:18:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:2854 https://access.redhat.com/errata/RHSA-2020:2854

Comment 8 Product Security DevOps Team 2020-07-07 19:28:15 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-11565

Comment 9 errata-xmlrpc 2020-09-29 18:59:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4062 https://access.redhat.com/errata/RHSA-2020:4062

Comment 10 errata-xmlrpc 2020-09-29 20:54:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4060 https://access.redhat.com/errata/RHSA-2020:4060

Comment 11 errata-xmlrpc 2020-11-04 00:50:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4431 https://access.redhat.com/errata/RHSA-2020:4431

Comment 12 errata-xmlrpc 2020-11-04 02:23:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4609 https://access.redhat.com/errata/RHSA-2020:4609


Note You need to log in before you can comment on or make changes to this bug.